/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


/***** Typography *****/

@font-face {
    font-family: 'Fontname';
    src: url('https://www.website.com.au/wp-content/uploads/Figtree-Italic.woff2') format('woff2'),
        url('https://www.website.com.au/wp-content/uploads/Figtree-Italic.ttf') format('truetype');
    font-weight: normal;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Fontname';
    src: url('https://www.website.com.au/wp-content/uploads/Figtree-Bold.woff2') format('woff2'),
        url('https://www.website.com.au/wp-content/uploads/Figtree-Bold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Fontname';
    src: url('https://www.website.com.au/wp-content/uploads/Figtree-Regular.woff2') format('woff2'),
        url('https://www.website.com.au/wp-content/uploads/Figtree-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

h1,h2,h3,h4,h5,h6,p {
	text-wrap:pretty;
}

h1,h2,h3,h4,h5,h6,
.h1,.h2,.h3,.h4,.h5,.h6{
	font-weight:600!important;
}

a[href^=tel] {
   text-decoration:inherit;
   color: inherit;
}

/***** Layout containers *****/

.full-width-content.one-container .site-content > .entry-content > .gb-container, 
.full-width-content.separate-containers .inside-article > .entry-content  > .gb-container,
footer > .gb-container,
.grid-container {
	padding-left:40px;
	padding-right:40px;
}

.full-width-content .grid-container {
	padding-left:0;
	padding-right:0;	
}

/* if using custom footer */
/* .site-footer {
	display:none;
} */


/* Remove bottom margin on last paragraph in container (editor) */

.block-editor-block-list__layout .gb-container p:nth-last-child(2) {
	margin-bottom: 0px;
}

/* Animated link */
/* p a{
  color: inherit;
  text-decoration: none;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#fdede7), to(#fdede7));
  background-image: linear-gradient(to bottom, #fdede7 0%, #fdede7 100%);
  background-repeat: no-repeat;
  background-size: 100% 00%;
  background-position: 0 111%;
  -webkit-transition: background-size .25s ease-in;
  transition: background-size .25s ease-in;
  padding-left: 2px;
  padding-right: 2px;
  border-bottom: 2px solid #ec4911;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
}

p a:hover{
  background-size: 100% 100%;
}
 */

/***** Lenis - smooth scrollwheel *****/

html.lenis, html.lenis body {
  height: auto;
}

.lenis.lenis-smooth {
  scroll-behavior: auto !important;
}

.lenis.lenis-smooth [data-lenis-prevent] {
  overscroll-behavior: contain;
}

.lenis.lenis-stopped {
  overflow: hidden;
}

.lenis.lenis-smooth iframe {
  pointer-events: none;
}


/***** Responsive - Tablet landscape and below *****/

@media only screen and (max-width: 760px) {
	.full-width-content.one-container .site-content > .entry-content > .gb-container, 
	.full-width-content.separate-containers .inside-article > .entry-content  > .gb-container,
	footer > .gb-container, 
	.grid-container {
		padding-left:25px;
		padding-right:25px;
	}
	
}

/***** Forms / Fluent forms *****/
.fluentform .ff-el-group {
	text-align:left;
}

label,
.ff-default .ff-el-input--label label {
	font-weight:bold!important;
	font-size:0.95rem;
}

.ff-btn {
	border-radius:10px!important;
	padding:10px 35px!important;
	background-color:#111!important;
	font-size:19px!important;
	font-weight:600!important;
	cursor:pointer!important;
	transition:all 0.2s!important;
}

.ff_submit_btn_wrapper {
	margin:0!important;
}

.ff-el-section-break hr {
	margin-top:20px;
}

.fluentform .ff_upload_btn.ff-btn {
	padding:4px 20px!important;
	font-size:14px!important;
	background-color:#111!important;
}

.fluentform .ff-el-group.ff_list_buttons .ff-el-form-check.ff_item_selected label>span {
    background-color: #111;
    border-color: #111;
}

.ff-el-section-break .ff-el-section-title {
    font-weight: 400;
}

.ff-el-section-break hr {
	margin-top:20px;
}

.fluentform .ff_upload_btn.ff-btn {
	padding:4px 20px!important;
	font-size:14px!important;
	background-color:var(--contrast)!important;
}

.fluentform .ff-el-group.ff_list_buttons .ff-el-form-check.ff_item_selected label>span {
    background-color: var(--contrast);
    border-color: var(--contrast);
}

.file-upload .ff-el-input--content:before{
	content:"Max 5 uploads. 20mb limit per upload. ";
	font-size:13px;
	margin-top:-10px;
	margin-bottom:5px;
	display:block;
}

.ff-default .ff_btn_style:hover {
    opacity: 1.0!important;
	background-color:#555!important;
}